Summary: GIF-manipulation library
Name: libungif
Version: 4.1.0
Release: 1
Group: Libraries
Copyright: BSD
Url: http://prtr-13.ucsc.edu/~badger/software/libungif.shtml
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://prtr-13.ucsc.edu/pub/libungif/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
GIF loading and saving shared library.  (Saving uses an uncompressed gif
algorithm that does not use LZW compression.)

%package devel
Summary: GIF-manipulation library header files, static libraries, and documentation.
Group: Development/Libraries
%description devel
Libraries and headers needed for developing programs that use libungif
to load and save gif image files.

%package progs
Summary: Programs for converting and transforming gif images.
Group: Applications/Graphics
%description progs
This package contains various programs for manipulating gif image files.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install-strip
chmod 755 $RPM_BUILD_ROOT/usr/lib/libungif.so.*


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS ONEWS README TODO 
%doc UNCOMPRESSED_GIF libungif.lsm
/usr/lib/libungif.so.*

%files devel
%defattr(-,root,root)
%doc doc/*
/usr/include/*
/usr/lib/libungif.a
/usr/lib/libungif.la
/usr/lib/libungif.so

%files progs
%defattr(-,root,root)
/usr/bin/*


%clean
rm -rf ${RPM_BUILD_ROOT}
